Bug 182111 - benchmarks/iozone : upgrade to 3.420
Summary: benchmarks/iozone : upgrade to 3.420
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-15 13:40 UTC by Christoph Moench-Tegeder
Modified: 2013-09-20 07:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2013-09-15 13:40:01 UTC
	iozone3_420 is out - http://www.iozone.org/src/current/

Fix: Simple patch:



Regards,
Christoph--JlA4gmfwXN7DFgcGt8aI8hAyG12hEBqC3yGXdmCHb1VoHUG3
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
--- Makefile	(revision 327338)
+++ Makefile	(working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	iozone
-PORTVERSION=	3.397
+PORTVERSION=	3.420
 CATEGORIES=	benchmarks
 MASTER_SITES=	http://www.iozone.org/src/current/
 DISTNAME=	${PORTNAME}${PORTVERSION:S/./_/}
Index: distinfo
===================================================================
--- distinfo	(revision 327338)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (iozone3_397.tar) = 213d8dcc6f70ca93a903b5fbb92cf758fd25617db4c65d188d29594f12b30d30
-SIZE (iozone3_397.tar) = 1679360
+SHA256 (iozone3_420.tar) = f793cc68e86aea5c93fb3010f4088653138a610c3b14047b2314ab6a1f8d5b8e
+SIZE (iozone3_420.tar) = 1832960
Index: files/patch-libasync.c
===================================================================
--- files/patch-libasync.c	(revision 327338)
+++ files/patch-libasync.c	(working copy)
@@ -13,8 +13,8 @@
  #include <stdlib.h>
  #endif
  
--#if ((defined(solaris) && defined(__LP64__)) || defined(__s390x__))
-+#if ((defined(solaris) && defined(__LP64__)) || defined(__s390x__)) || defined(__FreeBSD__)
+-#if (defined(solaris) && defined(__LP64__)) || defined(__s390x__) || defined(FreeBSD)
++#if (defined(solaris) && defined(__LP64__)) || defined(__s390x__) || defined(__FreeBSD__)
  /* If we are building for 64-bit Solaris, all functions that return pointers
   * must be declared before they are used; otherwise the compiler will assume
   * that they return ints and the top 32 bits of the pointer will be lost,
Index: files/patch-libbif.c
===================================================================
--- files/patch-libbif.c	(revision 327338)
+++ files/patch-libbif.c	(working copy)
@@ -4,8 +4,8 @@
  #include <string.h>
  #endif
  
--#if defined(linux) || defined(__DragonFly__) || defined(macosx)
-+#if defined(linux) || defined(__DragonFly__) || defined(macosx) || defined(__FreeBSD__)
+-#if defined(linux) || defined(__DragonFly__) || defined(IOZ_macosx)
++#if defined(linux) || defined(__DragonFly__) || defined(IOZ_macosx) || defined(__FreeBSD__)
  #include <unistd.h>
  #include <stdlib.h>
  #endif
Comment 1 Edwin Groothuis freebsd_committer 2013-09-15 13:40:20 UTC
Maintainer of benchmarks/iozone,

Please note that PR ports/182111 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182111

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-09-15 13:40:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 chifeng 2013-09-16 09:33:15 UTC
It's a version update, please commit, Thanks.

-- 
*Regards.*
**- Chifeng
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2013-09-17 02:33:47 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Jason Helfman freebsd_committer 2013-09-17 02:47:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-09-20 07:23:42 UTC
Author: jgh
Date: Fri Sep 20 06:23:33 2013
New Revision: 327656
URL: http://svnweb.freebsd.org/changeset/ports/327656

Log:
  - update to 3.420
  
  PR:		182111
  Submitted by:	cmt@burggraben.net
  Approved by:	chifeng@gmail.com ( maintainer )

Modified:
  head/benchmarks/iozone/Makefile
  head/benchmarks/iozone/distinfo
  head/benchmarks/iozone/files/patch-libasync.c
  head/benchmarks/iozone/files/patch-libbif.c

Modified: head/benchmarks/iozone/Makefile
==============================================================================
--- head/benchmarks/iozone/Makefile	Fri Sep 20 04:48:07 2013	(r327655)
+++ head/benchmarks/iozone/Makefile	Fri Sep 20 06:23:33 2013	(r327656)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	iozone
-PORTVERSION=	3.397
+PORTVERSION=	3.420
 CATEGORIES=	benchmarks
 MASTER_SITES=	http://www.iozone.org/src/current/
 DISTNAME=	${PORTNAME}${PORTVERSION:S/./_/}
@@ -46,6 +46,6 @@ post-patch:
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/iozone ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/docs/iozone.1 ${MANPREFIX}/man/man1
+	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/docs/iozone.1 ${MAN1PREFIX}/man/man1
 
 .include <bsd.port.mk>

Modified: head/benchmarks/iozone/distinfo
==============================================================================
--- head/benchmarks/iozone/distinfo	Fri Sep 20 04:48:07 2013	(r327655)
+++ head/benchmarks/iozone/distinfo	Fri Sep 20 06:23:33 2013	(r327656)
@@ -1,2 +1,2 @@
-SHA256 (iozone3_397.tar) = 213d8dcc6f70ca93a903b5fbb92cf758fd25617db4c65d188d29594f12b30d30
-SIZE (iozone3_397.tar) = 1679360
+SHA256 (iozone3_420.tar) = f793cc68e86aea5c93fb3010f4088653138a610c3b14047b2314ab6a1f8d5b8e
+SIZE (iozone3_420.tar) = 1832960

Modified: head/benchmarks/iozone/files/patch-libasync.c
==============================================================================
--- head/benchmarks/iozone/files/patch-libasync.c	Fri Sep 20 04:48:07 2013	(r327655)
+++ head/benchmarks/iozone/files/patch-libasync.c	Fri Sep 20 06:23:33 2013	(r327656)
@@ -13,8 +13,8 @@
  #include <stdlib.h>
  #endif
  
--#if ((defined(solaris) && defined(__LP64__)) || defined(__s390x__))
-+#if ((defined(solaris) && defined(__LP64__)) || defined(__s390x__)) || defined(__FreeBSD__)
+-#if (defined(solaris) && defined(__LP64__)) || defined(__s390x__) || defined(FreeBSD)
++#if (defined(solaris) && defined(__LP64__)) || defined(__s390x__) || defined(__FreeBSD__)
  /* If we are building for 64-bit Solaris, all functions that return pointers
   * must be declared before they are used; otherwise the compiler will assume
   * that they return ints and the top 32 bits of the pointer will be lost,

Modified: head/benchmarks/iozone/files/patch-libbif.c
==============================================================================
--- head/benchmarks/iozone/files/patch-libbif.c	Fri Sep 20 04:48:07 2013	(r327655)
+++ head/benchmarks/iozone/files/patch-libbif.c	Fri Sep 20 06:23:33 2013	(r327656)
@@ -4,8 +4,8 @@
  #include <string.h>
  #endif
  
--#if defined(linux) || defined(__DragonFly__) || defined(macosx)
-+#if defined(linux) || defined(__DragonFly__) || defined(macosx) || defined(__FreeBSD__)
+-#if defined(linux) || defined(__DragonFly__) || defined(IOZ_macosx)
++#if defined(linux) || defined(__DragonFly__) || defined(IOZ_macosx) || defined(__FreeBSD__)
  #include <unistd.h>
  #include <stdlib.h>
  #endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Jason Helfman freebsd_committer 2013-09-20 07:24:19 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!